SystemOrganization addCategory: #'A4BP-BPMN20-core'!
SystemOrganization addCategory: 'A4BP-BPMN20-core-model'!
SystemOrganization addCategory: 'A4BP-BPMN20-core-parser'!
SystemOrganization addCategory: 'A4BP-BPMN20-core-parser-builder'!

A4BPObject subclass: #BPMN20Object
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20Object subclass: #BPMN20BaseElementImpl
	instanceVariableNames: 'extensionDefinitions extensionValues anyAttribute ID_EDEFAULT documentation id'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ArtifactImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ArtifactImpl subclass: #BPMN20AssociationImpl
	instanceVariableNames: 'associationDirection ASSOCIATION_DIRECTION_EDEFAULT targetRef sourceRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ArtifactImpl subclass: #BPMN20GroupImpl
	instanceVariableNames: 'categoryValueRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ArtifactImpl subclass: #BPMN20TextAnnotationImpl
	instanceVariableNames: 'text TEXT_FORMAT_EDEFAULT textFormat TEXT_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20AssignmentImpl
	instanceVariableNames: 'from to'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20AuditingImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20CategoryValueImpl
	instanceVariableNames: 'VALUE_EDEFAULT value'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ComplexBehaviorDefinitionImpl
	instanceVariableNames: 'event condition'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ConversationAssociationImpl
	instanceVariableNames: 'innerConversationNodeRef outerConversationNodeRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ConversationLinkImpl
	instanceVariableNames: 'name targetRef sourceRef NAME_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ConversationNodeImpl
	instanceVariableNames: 'correlationKeys NAME_EDEFAULT participantRefs name messageFlowRefs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ConversationNodeImpl subclass: #BPMN20CallConversationImpl
	instanceVariableNames: 'participantAssociations calledCollaborationRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ConversationNodeImpl subclass: #BPMN20ConversationImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ConversationNodeImpl subclass: #BPMN20SubConversationImpl
	instanceVariableNames: 'conversationNodes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20CorrelationKeyImpl
	instanceVariableNames: 'NAME_EDEFAULT correlationPropertyRef name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20CorrelationPropertyBindingImpl
	instanceVariableNames: 'correlationPropertyRef dataPath'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20CorrelationPropertyRetrievalExpressionImpl
	instanceVariableNames: 'messagePath messageRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20CorrelationSubscriptionImpl
	instanceVariableNames: 'correlationKeyRef correlationPropertyBinding'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20DataAssociationImpl
	instanceVariableNames: 'transformation assignment targetRef sourceRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20DataAssociationImpl subclass: #BPMN20DataInputAssociationImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20DataAssociationImpl subclass: #BPMN20DataOutputAssociationImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20DataStateImpl
	instanceVariableNames: 'name NAME_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20DefinitionsImpl
	instanceVariableNames: 'targetNamespace imports extensions relationships diagrams rootElements exporterVersion typeLanguage exporter expressionLanguage name fileRevision version fileName fullPath'
	classVariableNames: 'EXPORTER_EDEFAULT EXPORTER_VERSION_EDEFAULT EXPRESSION_LANGUAGE_EDEFAULT NAME_EDEFAULT TARGET_NAMESPACE_EDEFAULT TYPE_LANGUAGE_EDEFAULT'
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

!BPMN20DefinitionsImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:24'!
fillElementsIn: aModel from: document
	| visitor |
	visitor := BPMN20ParserSetinBPMN20DefinitionsImplVisitor new.
	visitor element: aModel.
	
	aModel version: (self readArt: document at: 'version').
	aModel fileRevision: (self readArt: document at: 'fileRevision').

	self fillElementsIn: aModel from: document visitor: visitor.
	! !

!BPMN20DefinitionsImpl methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 08:06'!
aName
	^ self fullPath ! !

!BPMN20DefinitionsImpl methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 12:07'!
accept: aVisitor
	^ aVisitor visitBPMN20DefinitionsImpl: self! !

!BPMN20DefinitionsImpl methodsFor: 'add' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:15'!
addImport: aElement
	imports at: aElement.! !

!BPMN20DefinitionsImpl methodsFor: 'add' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:25'!
addRootElement: aElement
	rootElements add: aElement.! !

!BPMN20DefinitionsImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:53'!
fileName
	^ fileName ! !

!BPMN20DefinitionsImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:53'!
fileName:aString
	^ fileName:=aString! !

!BPMN20DefinitionsImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:10'!
fileRevision
	^ fileRevision! !

!BPMN20DefinitionsImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:10'!
fileRevision: aString
	^ fileRevision := aString! !

!BPMN20DefinitionsImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:53'!
fullPath
	^ fullPath ! !

!BPMN20DefinitionsImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:54'!
fullPath: aString
	^ fullPath := aString! !

!BPMN20DefinitionsImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:15'!
imports
	^ imports ! !

!BPMN20DefinitionsImpl methodsFor: 'initialize' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:15'!
initialize
	super initialize.
	rootElements := Dictionary new.
	imports:= Dictionary new.
	version := ''.
	fileRevision :=''.! !

!BPMN20DefinitionsImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:27'!
process
	^ rootElements select:[ :e | e class = BPMN20ProcessImpl].! !

!BPMN20DefinitionsImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:20'!
rootElements
	^ rootElements ! !

!BPMN20DefinitionsImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:10'!
version
	^ version! !

!BPMN20DefinitionsImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:10'!
version: aString
	^ version := aString! !

BPMN20BaseElementImpl subclass: #BPMN20DocumentationImpl
	instanceVariableNames: 'mixed TEXT_EDEFAULT textFormat TEXT_FORMAT_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ExpressionImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ExpressionImpl subclass: #BPMN20FormalExpressionImpl
	instanceVariableNames: 'LANGUAGE_EDEFAULT evaluatesToTypeRef mixed language BODY_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20FlowElementImpl
	instanceVariableNames: 'NAME_EDEFAULT categoryValueRef monitoring name auditing'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20FlowElementImpl subclass: #BPMN20DataObjectImpl
	instanceVariableNames: 'isCollection IS_COLLECTION_EDEFAULT dataState itemSubjectRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20FlowElementImpl subclass: #BPMN20DataObjectReferenceImpl
	instanceVariableNames: 'dataState itemSubjectRef dataObjectRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20FlowElementImpl subclass: #BPMN20DataStoreReferenceImpl
	instanceVariableNames: 'dataState dataStoreRef itemSubjectRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20FlowElementImpl subclass: #BPMN20FlowNodeImpl
	instanceVariableNames: 'incoming lanes outgoing'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20FlowNodeImpl subclass: #BPMN20ActivityImpl
	instanceVariableNames: 'properties completionQuantity ioSpecification isForCompensation loopCharacteristics default_ dataInputAssociations boundaryEventRefs startQuantity resources dataOutputAssociations'
	classVariableNames: 'COMPLETION_QUANTITY_EDEFAULT IS_FOR_COMPENSATION_EDEFAULT START_QUANTITY_EDEFAULT'
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

!BPMN20ActivityImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:06'!
fillElementsIn: aModel from: document
	| visitor |
	visitor := BPMN20ParserSetinBPMN20ActivityImplVisitor new.
	visitor element: aModel.
	aModel isForCompensation: (self readBoolean: document at: 'isForCompensation').
	self fillElementsIn: aModel from: document visitor: visitor.! !

!BPMN20ActivityImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 08:22'!
isForCompensation
	^ isForCompensation! !

!BPMN20ActivityImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 08:22'!
isForCompensation: aBool
	^ isForCompensation:= aBool ! !

BPMN20ActivityImpl subclass: #BPMN20CallActivityImpl
	instanceVariableNames: 'calledElementRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

!BPMN20CallActivityImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:05'!
fillElementsIn: aModel from: document
	| visitor |
	visitor := BPMN20ParserSetinBPMN20CallActivityImplVisitor new.
	visitor element: aModel.
	aModel isForCompensation: (self readBoolean: document at: 'isForCompensation').
	self fillElementsIn: aModel from: document visitor: visitor.
	! !

BPMN20ActivityImpl subclass: #BPMN20SubProcessImpl
	instanceVariableNames: 'laneSets flowElements TRIGGERED_BY_EVENT_EDEFAULT triggeredByEvent artifacts'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20SubProcessImpl subclass: #BPMN20AdHocSubProcessImpl
	instanceVariableNames: 'ORDERING_EDEFAULT completionCondition ordering cancelRemainingInstances CANCEL_REMAINING_INSTANCES_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20SubProcessImpl subclass: #BPMN20TransactionImpl
	instanceVariableNames: 'METHOD_EDEFAULT method PROTOCOL_EDEFAULT protocol'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ActivityImpl subclass: #BPMN20TaskImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20TaskImpl subclass: #BPMN20BusinessRuleTaskImpl
	instanceVariableNames: 'IMPLEMENTATION_EDEFAULT implementation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20TaskImpl subclass: #BPMN20ManualTaskImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20TaskImpl subclass: #BPMN20ReceiveTaskImpl
	instanceVariableNames: 'IMPLEMENTATION_EDEFAULT operationRef implementation instantiate INSTANTIATE_EDEFAULT messageRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20TaskImpl subclass: #BPMN20ScriptTaskImpl
	instanceVariableNames: 'scriptFormat SCRIPT_EDEFAULT SCRIPT_FORMAT_EDEFAULT script'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20TaskImpl subclass: #BPMN20SendTaskImpl
	instanceVariableNames: 'operationRef IMPLEMENTATION_EDEFAULT messageRef implementation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20TaskImpl subclass: #BPMN20ServiceTaskImpl
	instanceVariableNames: 'IMPLEMENTATION_EDEFAULT implementation operationRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

!BPMN20TaskImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:08'!
fillElementsIn: aModel from: document
	| visitor |
	visitor := BPMN20ParserSetinBPMN20TaskImplVisitor new.
	visitor element: aModel.
	aModel isForCompensation: (self readBoolean: document at: 'isForCompensation').
	self fillElementsIn: aModel from: document visitor: visitor.! !

!BPMN20TaskImpl methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:12'!
accept: aVisitor
	^ aVisitor visitBPMN20TaskImpl: self! !

!BPMN20TaskImpl methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:42'!
value: a! !

BPMN20TaskImpl subclass: #BPMN20UserTaskImpl
	instanceVariableNames: 'renderings implementation IMPLEMENTATION_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20FlowNodeImpl subclass: #BPMN20ChoreographyActivityImpl
	instanceVariableNames: 'LOOP_TYPE_EDEFAULT initiatingParticipantRef loopType correlationKeys participantRefs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ChoreographyActivityImpl subclass: #BPMN20CallChoreographyImpl
	instanceVariableNames: 'calledChoreographyRef participantAssociations'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ChoreographyActivityImpl subclass: #BPMN20ChoreographyTaskImpl
	instanceVariableNames: 'messageFlowRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ChoreographyActivityImpl subclass: #BPMN20SubChoreographyImpl
	instanceVariableNames: 'laneSets artifacts flowElements'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20FlowNodeImpl subclass: #BPMN20EventImpl
	instanceVariableNames: 'properties'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20EventImpl subclass: #BPMN20CatchEventImpl
	instanceVariableNames: 'PARALLEL_MULTIPLE_EDEFAULT parallelMultiple dataOutputs eventDefinitionRefs eventDefinitions outputSet dataOutputAssociation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20CatchEventImpl subclass: #BPMN20BoundaryEventImpl
	instanceVariableNames: 'cancelActivity attachedToRef CANCEL_ACTIVITY_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20CatchEventImpl subclass: #BPMN20IntermediateCatchEventImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20CatchEventImpl subclass: #BPMN20StartEventImpl
	instanceVariableNames: 'isInterrupting'
	classVariableNames: 'IS_INTERRUPTING_EDEFAULT'
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

!BPMN20StartEventImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:44'!
fillElementsIn: aModel from: document
	| visitor |
	visitor := BPMN20ParserSetinBPMN20StartEventImplVisitor new.
	visitor element: aModel.
	aModel isInterrupting: (self readBoolean: document at: 'isInterrupting').
	self fillElementsIn: aModel from: document visitor: visitor.! !

!BPMN20StartEventImpl methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:40'!
initialize
	super initialize.
	IS_INTERRUPTING_EDEFAULT:=true.! !

!BPMN20StartEventImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:41'!
isInterrupting
	^ isInterrupting! !

!BPMN20StartEventImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:41'!
isInterrupting: aBool
	^ isInterrupting := aBool! !

BPMN20EventImpl subclass: #BPMN20ThrowEventImpl
	instanceVariableNames: 'eventDefinitionRefs eventDefinitions dataInputAssociation dataInputs inputSet'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ThrowEventImpl subclass: #BPMN20EndEventImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ThrowEventImpl subclass: #BPMN20ImplicitThrowEventImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ThrowEventImpl subclass: #BPMN20IntermediateThrowEventImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20FlowNodeImpl subclass: #BPMN20GatewayImpl
	instanceVariableNames: 'GATEWAY_DIRECTION_EDEFAULT gatewayDirection'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20GatewayImpl subclass: #BPMN20ComplexGatewayImpl
	instanceVariableNames: 'activationCondition default_'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20GatewayImpl subclass: #BPMN20EventBasedGatewayImpl
	instanceVariableNames: 'instantiate eventGatewayType INSTANTIATE_EDEFAULT EVENT_GATEWAY_TYPE_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20GatewayImpl subclass: #BPMN20ExclusiveGatewayImpl
	instanceVariableNames: 'default_'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20GatewayImpl subclass: #BPMN20InclusiveGatewayImpl
	instanceVariableNames: 'default_'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20GatewayImpl subclass: #BPMN20ParallelGatewayImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20FlowElementImpl subclass: #BPMN20SequenceFlowImpl
	instanceVariableNames: 'isImmediate targetRef sourceRef conditionExpression IS_IMMEDIATE_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20FlowElementsContainerImpl
	instanceVariableNames: 'flowElements laneSets'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20InputOutputBindingImpl
	instanceVariableNames: 'inputDataRef outputDataRef operationRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20InputOutputSpecificationImpl
	instanceVariableNames: 'dataOutputs inputSets outputSets dataInputs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20InputSetImpl
	instanceVariableNames: 'NAME_EDEFAULT dataInputRefs name optionalInputRefs outputSetRefs whileExecutingInputRefs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ItemAwareElementImpl
	instanceVariableNames: 'itemSubjectRef dataState'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ItemAwareElementImpl subclass: #BPMN20DataInputImpl
	instanceVariableNames: 'name inputSetWithWhileExecuting NAME_EDEFAULT inputSetWithOptional IS_COLLECTION_EDEFAULT isCollection inputSetRefs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ItemAwareElementImpl subclass: #BPMN20DataOutputImpl
	instanceVariableNames: 'name outputSetWithOptional outputSetRefs IS_COLLECTION_EDEFAULT outputSetWithWhileExecuting NAME_EDEFAULT isCollection'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ItemAwareElementImpl subclass: #BPMN20DataStoreImpl
	instanceVariableNames: 'name NAME_EDEFAULT CAPACITY_EDEFAULT capacity isUnlimited IS_UNLIMITED_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ItemAwareElementImpl subclass: #BPMN20PropertyImpl
	instanceVariableNames: 'name NAME_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20LaneImpl
	instanceVariableNames: 'NAME_EDEFAULT name partitionElement partitionElementRef childLaneSet flowNodeRefs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

!BPMN20LaneImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:45'!
fillElementsIn: aModel from: document
	| visitor |
	visitor := BPMN20ParserSetinBPMN20LaneImplVisitor new.
	visitor element: aModel.
	self fillElementsIn: aModel from: document visitor: visitor.! !

!BPMN20LaneImpl methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:47'!
accept: aVisitor
	^ aVisitor visitBPMN20LaneImpl: self! !

BPMN20BaseElementImpl subclass: #BPMN20LaneSetImpl
	instanceVariableNames: 'lanes name NAME_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

!BPMN20LaneSetImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:40'!
fillElementsIn: aModel from: document
	| visitor |
	visitor := BPMN20ParserSetinBPMN20LaneSetImplVisitor new.
	visitor element: aModel.
	self fillElementsIn: aModel from: document visitor: visitor.
	"aModel nsNameSpaces: document nameSpaces."! !

!BPMN20LaneSetImpl methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:37'!
accept: aVisitor
	^ aVisitor visitBPMN20LaneSetImpl: self! !

!BPMN20LaneSetImpl methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:43'!
initialize
	super initialize.
	lanes := OrderedCollection new! !

!BPMN20LaneSetImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:43'!
lanes
	^ lanes! !

BPMN20BaseElementImpl subclass: #BPMN20LoopCharacteristicsImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20LoopCharacteristicsImpl subclass: #BPMN20MultiInstanceLoopCharacteristicsImpl
	instanceVariableNames: 'loopDataInputRef outputDataItem complexBehaviorDefinition isSequential noneBehaviorEventRef loopDataOutputRef completionCondition oneBehaviorEventRef IS_SEQUENTIAL_EDEFAULT loopCardinality behavior BEHAVIOR_EDEFAULT inputDataItem'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20LoopCharacteristicsImpl subclass: #BPMN20StandardLoopCharacteristicsImpl
	instanceVariableNames: 'loopMaximum LOOP_MAXIMUM_EDEFAULT TEST_BEFORE_EDEFAULT loopCondition testBefore'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20MessageFlowAssociationImpl
	instanceVariableNames: 'innerMessageFlowRef outerMessageFlowRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20MessageFlowImpl
	instanceVariableNames: 'sourceRef name targetRef messageRef NAME_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20MonitoringImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20OperationImpl
	instanceVariableNames: 'errorRefs outMessageRef name implementationRef NAME_EDEFAULT inMessageRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20OutputSetImpl
	instanceVariableNames: 'optionalOutputRefs NAME_EDEFAULT name inputSetRefs whileExecutingOutputRefs dataOutputRefs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ParticipantAssociationImpl
	instanceVariableNames: 'innerParticipantRef outerParticipantRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ParticipantImpl
	instanceVariableNames: 'processRef participantMultiplicity name NAME_EDEFAULT endPointRefs interfaceRefs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ParticipantMultiplicityImpl
	instanceVariableNames: 'MAXIMUM_EDEFAULT maximum MINIMUM_EDEFAULT minimum'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20RelationshipImpl
	instanceVariableNames: 'DIRECTION_EDEFAULT targets TYPE_EDEFAULT direction sources type'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20RenderingImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ResourceAssignmentExpressionImpl
	instanceVariableNames: 'expression'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ResourceParameterBindingImpl
	instanceVariableNames: 'parameterRef expression'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ResourceParameterImpl
	instanceVariableNames: 'type IS_REQUIRED_EDEFAULT name isRequired NAME_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20ResourceRoleImpl
	instanceVariableNames: 'resourceRef name resourceParameterBindings resourceAssignmentExpression NAME_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ResourceRoleImpl subclass: #BPMN20PerformerImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20PerformerImpl subclass: #BPMN20HumanPerformerImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20HumanPerformerImpl subclass: #BPMN20PotentialOwnerImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20BaseElementImpl subclass: #BPMN20RootElementImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20CallableElementImpl
	instanceVariableNames: 'ioSpecification NAME_EDEFAULT ioBinding name supportedInterfaceRefs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20CallableElementImpl subclass: #BPMN20GlobalTaskImpl
	instanceVariableNames: 'resources'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20GlobalTaskImpl subclass: #BPMN20GlobalBusinessRuleTaskImpl
	instanceVariableNames: 'IMPLEMENTATION_EDEFAULT implementation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20GlobalTaskImpl subclass: #BPMN20GlobalManualTaskImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20GlobalTaskImpl subclass: #BPMN20GlobalScriptTaskImpl
	instanceVariableNames: 'SCRIPT_EDEFAULT script scriptLanguage SCRIPT_LANGUAGE_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20GlobalTaskImpl subclass: #BPMN20GlobalUserTaskImpl
	instanceVariableNames: 'renderings IMPLEMENTATION_EDEFAULT implementation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20CallableElementImpl subclass: #BPMN20ProcessImpl
	instanceVariableNames: 'isExecutable supports laneSets resources monitoring definitionalCollaborationRef correlationSubscriptions properties isClosed artifacts auditing flowElements processType extensionElements fileName fullPath'
	classVariableNames: 'IS_CLOSED_EDEFAULT IS_EXECUTABLE_EDEFAULT PROCESS_TYPE_EDEFAULT'
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

!BPMN20ProcessImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:23'!
fillElementsIn: aModel from: document
	| visitor |
	visitor := BPMN20ParserSetinBPMN20ProcessImplVisitor new.
	visitor element: aModel.
	self fillElementsIn: aModel from: document visitor: visitor.
	"aModel nsNameSpaces: document nameSpaces."! !

!BPMN20ProcessImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:46'!
fillProcessNameOn: bpProcess from: document
	bpProcess aName: (document attributeAt: BPParserTagsXMLRef atrName)! !

!BPMN20ProcessImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:54'!
fromXMLDescription: document
	"The argument is a complete description of an XML process"
	| process |
	"is an instante of on BProcess"
	process := self new.
	self fillBData: document in: process.
	self fillProcessNameOn: process from: document.
	self fillElementsIn: process from: document. 
	^ process! !

!BPMN20ProcessImpl methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 12:12'!
accept: aVisitor
	^ aVisitor visitBPMN20ProcessImpl: self! !

!BPMN20ProcessImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 16:30'!
activities
	^ self flowElements! !

!BPMN20ProcessImpl methodsFor: 'add' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:30'!
addElement: aElement
	flowElements add: aElement! !

!BPMN20ProcessImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/13/2014 00:14'!
extensionElements
^ extensionElements! !

!BPMN20ProcessImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 11:13'!
fileName
	^ fileName! !

!BPMN20ProcessImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 11:10'!
fileName: fname
	fileName := fname! !

!BPMN20ProcessImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 16:29'!
flowElements
	^ flowElements! !

!BPMN20ProcessImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 11:13'!
fullPath
	^ fullPath ! !

!BPMN20ProcessImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 11:13'!
fullPath: aPath
	fullPath := aPath! !

!BPMN20ProcessImpl methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:30'!
initialize
	super initialize.
	extensionElements := OrderedCollection new.
	laneSets := OrderedCollection new.
	flowElements := Dictionary new.
	fileName := ''! !

!BPMN20ProcessImpl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:16'!
laneSets
	^ laneSets! !

BPMN20RootElementImpl subclass: #BPMN20CategoryImpl
	instanceVariableNames: 'NAME_EDEFAULT categoryValue name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20CollaborationImpl
	instanceVariableNames: 'NAME_EDEFAULT artifacts conversationLinks messageFlows isClosed IS_CLOSED_EDEFAULT conversationAssociations conversations name correlationKeys choreographyRef messageFlowAssociations participantAssociations participants'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20CollaborationImpl subclass: #BPMN20ChoreographyImpl
	instanceVariableNames: 'flowElements laneSets'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20ChoreographyImpl subclass: #BPMN20GlobalChoreographyTaskImpl
	instanceVariableNames: 'initiatingParticipantRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20CollaborationImpl subclass: #BPMN20GlobalConversationImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20CorrelationPropertyImpl
	instanceVariableNames: 'name NAME_EDEFAULT type correlationPropertyRetrievalExpression'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20EndPointImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20ErrorImpl
	instanceVariableNames: 'name ERROR_CODE_EDEFAULT errorCode structureRef NAME_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20EscalationImpl
	instanceVariableNames: 'name escalationCode ESCALATION_CODE_EDEFAULT structureRef NAME_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20EventDefinitionImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20EventDefinitionImpl subclass: #BPMN20CancelEventDefinitionImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20EventDefinitionImpl subclass: #BPMN20CompensateEventDefinitionImpl
	instanceVariableNames: 'waitForCompletion activityRef WAIT_FOR_COMPLETION_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20EventDefinitionImpl subclass: #BPMN20ConditionalEventDefinitionImpl
	instanceVariableNames: 'condition'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20EventDefinitionImpl subclass: #BPMN20ErrorEventDefinitionImpl
	instanceVariableNames: 'errorRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20EventDefinitionImpl subclass: #BPMN20EscalationEventDefinitionImpl
	instanceVariableNames: 'escalationRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20EventDefinitionImpl subclass: #BPMN20LinkEventDefinitionImpl
	instanceVariableNames: 'target NAME_EDEFAULT name source'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20EventDefinitionImpl subclass: #BPMN20MessageEventDefinitionImpl
	instanceVariableNames: 'messageRef operationRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20EventDefinitionImpl subclass: #BPMN20SignalEventDefinitionImpl
	instanceVariableNames: 'signalRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20EventDefinitionImpl subclass: #BPMN20TerminateEventDefinitionImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20EventDefinitionImpl subclass: #BPMN20TimerEventDefinitionImpl
	instanceVariableNames: 'timeDuration timeCycle timeDate'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20InterfaceImpl
	instanceVariableNames: 'NAME_EDEFAULT operations name implementationRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20ItemDefinitionImpl
	instanceVariableNames: 'itemKind structureRef IS_COLLECTION_EDEFAULT isCollection ITEM_KIND_EDEFAULT import_'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20MessageImpl
	instanceVariableNames: 'name NAME_EDEFAULT itemRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20PartnerEntityImpl
	instanceVariableNames: 'NAME_EDEFAULT participantRef name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20PartnerRoleImpl
	instanceVariableNames: 'name NAME_EDEFAULT participantRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20ResourceImpl
	instanceVariableNames: 'NAME_EDEFAULT name resourceParameters'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20RootElementImpl subclass: #BPMN20SignalImpl
	instanceVariableNames: 'structureRef NAME_EDEFAULT name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20Object subclass: #BPMN20Bpmn2FactoryImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20Object subclass: #BPMN20Bpmn2PackageImpl
	instanceVariableNames: 'resourceParameterBindingEClass potentialOwnerEClass categoryEClass linkEventDefinitionEClass processEClass participantEClass parallelGatewayEClass assignmentEClass correlationPropertyRetrievalExpressionEClass dataObjectReferenceEClass participantMultiplicityEClass escalationEClass flowElementEClass eventEClass flowElementsContainerEClass globalChoreographyTaskEClass signalEventDefinitionEClass operationEClass exclusiveGatewayEClass userTaskEClass multiInstanceLoopCharacteristicsEClass choreographyActivityEClass globalScriptTaskEClass signalEClass callChoreographyEClass extensionAttributeValueEClass resourceAssignmentExpressionEClass artifactEClass inputSetEClass relationshipEClass dataInputEClass gatewayEClass choreographyLoopTypeEEnum eventBasedGatewayTypeEEnum transactionEClass compensateEventDefinitionEClass resourceParameterEClass auditingEClass adHocOrderingEEnum messageFlowAssociationEClass throwEventEClass callActivityEClass choreographyTaskEClass dataAssociationEClass formalExpressionEClass monitoringEClass conversationNodeEClass dataStoreEClass loopCharacteristicsEClass gatewayDirectionEEnum dataOutputAssociationEClass globalConversationEClass correlationSubscriptionEClass messageFlowEClass correlationKeyEClass correlationPropertyEClass messageEClass dataStateEClass flowNodeEClass definitionsEClass taskEClass relationshipDirectionEEnum conditionalEventDefinitionEClass expressionEClass globalTaskEClass globalUserTaskEClass performerEClass conversationEClass isFixed eventBasedGatewayEClass errorEClass groupEClass conversationAssociationEClass outputSetEClass baseElementEClass activityEClass globalManualTaskEClass interactionNodeEClass resourceRoleEClass conversationLinkEClass itemDefinitionEClass timerEventDefinitionEClass boundaryEventEClass subConversationEClass associationEClass documentRootEClass messageEventDefinitionEClass resourceEClass inputOutputSpecificationEClass businessRuleTaskEClass documentationEClass packageFilename callableElementEClass extensionAttributeDefinitionEClass inclusiveGatewayEClass partnerEntityEClass globalBusinessRuleTaskEClass callConversationEClass receiveTaskEClass associationDirectionEEnum complexGatewayEClass itemAwareElementEClass laneSetEClass sequenceFlowEClass dataStoreReferenceEClass correlationPropertyBindingEClass participantAssociationEClass scriptTaskEClass multiInstanceBehaviorEEnum sendTaskEClass manualTaskEClass extensionDefinitionEClass cancelEventDefinitionEClass escalationEventDefinitionEClass interfaceEClass processTypeEEnum intermediateThrowEventEClass catchEventEClass subProcessEClass isInited choreographyEClass isLoaded endPointEClass propertyEClass humanPerformerEClass collaborationEClass complexBehaviorDefinitionEClass dataObjectEClass categoryValueEClass implicitThrowEventEClass textAnnotationEClass rootElementEClass startEventEClass laneEClass endEventEClass dataOutputEClass dataInputAssociationEClass intermediateCatchEventEClass subChoreographyEClass importEClass terminateEventDefinitionEClass itemKindEEnum inputOutputBindingEClass extensionEClass adHocSubProcessEClass standardLoopCharacteristicsEClass eventDefinitionEClass errorEventDefinitionEClass renderingEClass partnerRoleEClass serviceTaskEClass'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20Object subclass: #BPMN20DocumentRootImpl
	instanceVariableNames: 'mixed xMLNSPrefixMap xSISchemaLocation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20Object subclass: #BPMN20ExtensionAttributeDefinitionImpl
	instanceVariableNames: 'IS_REFERENCE_EDEFAULT isReference type NAME_EDEFAULT name TYPE_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20Object subclass: #BPMN20ExtensionAttributeValueImpl
	instanceVariableNames: 'extensionAttributeDefinition value valueRef'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20Object subclass: #BPMN20ExtensionDefinitionImpl
	instanceVariableNames: 'name NAME_EDEFAULT extensionAttributeDefinitions'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20Object subclass: #BPMN20ExtensionImpl
	instanceVariableNames: 'mustUnderstand xsdDefinition definition MUST_UNDERSTAND_EDEFAULT XSD_DEFINITION_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20Object subclass: #BPMN20ImportImpl
	instanceVariableNames: 'LOCATION_EDEFAULT IMPORT_TYPE_EDEFAULT NAMESPACE_EDEFAULT location namespace importType'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

BPMN20Object subclass: #BPMN20InteractionNodeImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

!BPMN20Object class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:07'!
fillElementsIn: aBPObject from: document visitor: visitor
	self
		fillElementsIn: aBPObject
		from: document
		visitor: visitor
		tagRef: BPMN20ParserTagsXMLRef! !

A4BPAbstractParser subclass: #BPMN20Parser
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-parser'!

!BPMN20Parser class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/12/2014 22:37'!
parseString: string
	^ self new parseString: string! !

!BPMN20Parser methodsFor: 'add' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:55'!
addInContext: context
	context addProcessBPMN20: self elements! !

!BPMN20Parser methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:45'!
filePrefix
	^ '.bpmn'! !

!BPMN20Parser methodsFor: 'impl' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 04:47'!
getBaseElement
	^ BPMN20DefinitionsImpl! !

!BPMN20Parser methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/12/2014 22:37'!
initialize
	super initialize.! !

!BPMN20Parser methodsFor: 'impl' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 04:46'!
lstOfTag
	| tags |
	tags := OrderedCollection new.
	tags add:'definitions'.
	^ tags! !

!BPMN20Parser methodsFor: 'metric' stamp: 'AlvaroJosePeraltaOcampo 11/12/2014 22:37'!
numberOfDefinedProcesses
	^ self numberOfElements.! !

!BPMN20Parser methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/12/2014 22:37'!
processes
	^ lstElements! !

A4BPParserTagsXMLRef subclass: #BPMN20ParserTagsXMLRef
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-parser'!

!BPMN20ParserTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:03'!
fillTags
	tags addAll: self lstOfBPMN20RefTagClass.
	^ tags! !

!BPMN20ParserTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:09'!
lstOfBPMN20RefTagClass
	|lstItems|
	lstItems := Dictionary new.
	
	lstItems add: (BPParserRefTagClass getRefOnTag: 'definitions' objClass: BPMN20DefinitionsImpl).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'process' objClass: BPMN20ProcessImpl).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'laneSet' objClass: BPMN20LaneSetImpl).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'lane' objClass: BPMN20LaneImpl).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'callActivity' objClass: BPMN20CallActivityImpl).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'task' objClass: BPMN20TaskImpl).
	
	
	"second model option bpmn:<tag>"
	
	lstItems copy do:[ :i |
		lstItems add: (BPParserRefTagClass getRefOnTag: ( 'bpmn:', i tag) objClass: (i objclass) ). 
	].
	
	^ lstItems! !

!BPMN20ParserTagsXMLRef class methodsFor: 'resetting' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:09'!
reset
	"self reset"
	tags := nil.
	^ 'OK'! !

Object subclass: #BPMN20Enum
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-model'!

Object subclass: #BPMN20ParserAbstractSetVisitor
	instanceVariableNames: 'element'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-parser-builder'!

!BPMN20ParserAbstractSetVisitor methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:26'!
element: aElement
	element := aElement! !

!BPMN20ParserAbstractSetVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:33'!
visitA4BPEmptyObj: aModel
	"do nothing"! !

!BPMN20ParserAbstractSetVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 12:05'!
visitA4BPObject: aModel
	"do nothing"! !

BPMN20ParserAbstractSetVisitor subclass: #BPMN20ParserSetinBPMN20ActivityImplVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-parser-builder'!

!BPMN20ParserSetinBPMN20ActivityImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:06'!
visitBPMN20LaneSetImpl: aModel
	"set in the process a new set"
	element laneSets add: aModel.! !

!BPMN20ParserSetinBPMN20ActivityImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:06'!
visitBPMN20ProcessImpl: aModel
	element addRootElement: aModel! !

BPMN20ParserAbstractSetVisitor subclass: #BPMN20ParserSetinBPMN20CallActivityImplVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-parser-builder'!

!BPMN20ParserSetinBPMN20CallActivityImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 08:24'!
visitBPMN20LaneSetImpl: aModel
	"set in the process a new set"
	element laneSets add: aModel.! !

!BPMN20ParserSetinBPMN20CallActivityImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 08:24'!
visitBPMN20ProcessImpl: aModel
	element addRootElement: aModel! !

BPMN20ParserAbstractSetVisitor subclass: #BPMN20ParserSetinBPMN20DefinitionsImplVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-parser-builder'!

!BPMN20ParserSetinBPMN20DefinitionsImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 04:54'!
visitBPMN20LaneSetImpl: aModel
	"set in the process a new set"
	element laneSets add: aModel.! !

!BPMN20ParserSetinBPMN20DefinitionsImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:24'!
visitBPMN20ProcessImpl: aModel
	element addRootElement: aModel! !

BPMN20ParserAbstractSetVisitor subclass: #BPMN20ParserSetinBPMN20LaneImplVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-parser-builder'!

!BPMN20ParserSetinBPMN20LaneImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:45'!
visitBPMN20LaneSetImpl: aModel
	"set in the process a new set"
	element laneSets add: aModel.! !

!BPMN20ParserSetinBPMN20LaneImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:45'!
visitBPMN20ProcessImpl: aModel! !

BPMN20ParserAbstractSetVisitor subclass: #BPMN20ParserSetinBPMN20LaneSetImplVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-parser-builder'!

!BPMN20ParserSetinBPMN20LaneSetImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:50'!
visitBPMN20LaneImpl: aModel
	"set in the process a new set"
	element lanes add: aModel.! !

!BPMN20ParserSetinBPMN20LaneSetImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:49'!
visitBPMN20LaneSetImpl: aModel
	"do nothing"! !

!BPMN20ParserSetinBPMN20LaneSetImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:39'!
visitBPMN20ProcessImpl: aModel! !

BPMN20ParserAbstractSetVisitor subclass: #BPMN20ParserSetinBPMN20ProcessImplVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-parser-builder'!

!BPMN20ParserSetinBPMN20ProcessImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:38'!
visitBPMN20LaneSetImpl: aModel
	"set in the process a new set"
	element laneSets add: aModel.! !

!BPMN20ParserSetinBPMN20ProcessImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:24'!
visitBPMN20ProcessImpl: aModel! !

!BPMN20ParserSetinBPMN20ProcessImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:36'!
visitBPMN20TaskImpl: aModel
	element addElement: aModel .! !

BPMN20ParserAbstractSetVisitor subclass: #BPMN20ParserSetinBPMN20StartEventImplVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-parser-builder'!

!BPMN20ParserSetinBPMN20StartEventImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:37'!
visitBPMN20LaneSetImpl: aModel
	"set in the process a new set"
	element laneSets add: aModel.! !

!BPMN20ParserSetinBPMN20StartEventImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:37'!
visitBPMN20ProcessImpl: aModel
	element addRootElement: aModel! !

BPMN20ParserAbstractSetVisitor subclass: #BPMN20ParserSetinBPMN20TaskImplVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPMN20-core-parser-builder'!

!BPMN20ParserSetinBPMN20TaskImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:08'!
visitBPMN20LaneSetImpl: aModel
	"set in the process a new set"
	element laneSets add: aModel.! !

!BPMN20ParserSetinBPMN20TaskImplVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:36'!
visitBPMN20ProcessImpl: aModel
	element addRootElement: aModel.! !
